<?php defined('BASEPATH') or exit('No direct script access allowed');

class Me extends AdminController
{

  public function __construct()
  {
    parent::__construct();

    $this->load->model('employees_model');
    $this->load->model('departments_model');
    $this->load->model('documents_model');
    $this->load->model('document_types_model');
    $this->load->model('document_categories_model');

    $this->load->helper(['form', 'url']);
    $this->load->library('form_validation');

  }

  public function index(){
      
  }

  public function complaints_made(){
    if (!has_permission('hr_employees', '', 'view')) {
      if (!have_assigned_customers() && !has_permission('customers', '', 'create')) {
        access_denied('customers');
      }
    }
   
    $data = [];
    $data['title'] = _l('hr_complaints');
    $this->load->view('me/complaints_made', $data);
  }

  public function createComplaint(){
      
  }
  
}
